@media print {
    .noprint {
        display: none;
        visibility: hidden;
    }
    th {
        text-align: left;
    }
}

input[type='datetime-local'],
input[type='date'] {
    height: 40px;
}

input[type='number'] {
    width: 120px;
}

.table-fixed th {
    word-break: keep-all; /* 不換行 */
    white-space: nowrap; /* 不換行 */
    height: 25px !important;
    overflow: hidden !important;
}

.loading {
    z-index: -1;
    opacity: 0;
    transition: 0.5s;
    background: rgba(255, 255, 255, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
}

.loading.show {
    z-index: 200;
    opacity: 1;
}

.loading .spinner {
    animation: rotator 1.4s linear infinite;
}

.loading .path {
    stroke-dasharray: 187;
    stroke-dashoffset: 0;
    transform-origin: center;
    animation:
        dash 1.4s ease-in-out infinite,
        colors 5.6s ease-in-out infinite;
}

@keyframes rotator {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(270deg);
    }
}

@keyframes colors {
    0% {
        stroke: #4285f4;
    }

    25% {
        stroke: #de3e35;
    }

    50% {
        stroke: #f7c223;
    }

    75% {
        stroke: #1b9a59;
    }

    100% {
        stroke: #4285f4;
    }
}

@keyframes dash {
    0% {
        stroke-dashoffset: 187;
    }
    50% {
        stroke-dashoffset: 46.75;
        transform: rotate(135deg);
    }
    100% {
        stroke-dashoffset: 187;
        transform: rotate(450deg);
    }
}
/*mobile  */
@media screen and (max-width: 724px) and (min-width: 0) {
}
/*pc*/
@media screen and (min-width: 725px) {
}
.more-icon {
    position: absolute;
    right: 16px;
    bottom: 16px;
    padding: 10px;
}
.form-check-inline > label {
    font-weight: normal !important;
}

.fixed-rightbottom {
    z-index: 999;
    position: fixed;
    bottom: 0;
    right: 0;
}

.fixed-bottom {
    position: fixed;
}
.imgcenter {
    margin-left: auto;
    margin-right: auto;
    display: block;
}
.left {
    float: left;
}
.right {
    float: right;
}
